Skip to main content
GET
/
v2
/
account-orders
/
{accountOrder}
Get an account order
curl --request GET \
  --url https://api.gameboost.com/v2/account-orders/{accountOrder} \
  --header 'Authorization: Bearer <token>'
{
  "data": {
    "id": 123,
    "account_offer_id": 123,
    "game": {
      "id": 123,
      "name": "<string>",
      "slug": "<string>"
    },
    "buyer": {
      "id": 123,
      "username": "<string>"
    },
    "rating": {
      "id": 123,
      "labels": [
        "<string>"
      ],
      "rating": 123,
      "comment": "<string>",
      "created_at": 123,
      "updated_at": 123
    },
    "title": "<string>",
    "description": "<string>",
    "parameters": {},
    "status": "pending",
    "is_disputed": true,
    "dispute_case_id": 123,
    "delivery_time": {
      "duration": 123,
      "unit": "minutes",
      "format": "<string>",
      "format_long": "<string>",
      "seconds": 123
    },
    "is_manual_delivery": true,
    "credentials": "<string>",
    "delivery_instructions": "<string>",
    "price": "<string>",
    "price_usd": "<string>",
    "image_urls": [
      "<string>"
    ],
    "created_at": 123,
    "updated_at": 123,
    "purchased_at": 123,
    "completed_at": 123,
    "refunded_at": 123
  }
}

Documentation Index

Fetch the complete documentation index at: https://docs.gameboost.com/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

accountOrder
string
required

The ID of the account order. Can be retrieved from the list of account orders, or from the parent account offer, or from webhooks.

Response

A single account order

data
object

Account order object